Subject: Re: Bug#1197: Multihead fullscreen not working with TCE client in displaymanager mode

From: Stefan Baur <[email-masked]>
Date: Wed, 26 Jul 2017 11:21:32 +0200

Am 26.07.2017 um 11:09 schrieb Walid MOGHRABI:
> Humm ... I guess the images used by Stefan are "mini desktop" based.
> I don't want to use that mode, I'd rather go with the "displaymanager" mode instead.
> I really want my users to login directly to their X2Go session.

How about actually taking a look, rather than guessing? ;-)
Hint: They're NOT minidesktop-based.

Minidesktop is still in development - it's something I occasionally work
on in my spare time - and is *one* of *four* feature branches - in fact
it doesn't even show up in X2Go's official Git yet (see bottom of
<https://code.x2go.org/gitweb?p=live-build-x2go.git;a=summary>), only in
the github repo we use in parallel for development builds
(<https://github.com/LinuxHaus/live-build-x2go/tree/feature/mate-minidesktop>).

> I works really well in one screen only situations but now, I'd like to give my devs access to a X2Go session too but they use dual head setup and so, I wanted to have a good dual head support ... which is the case with the client under Linux (but not under Windows as I already reported earlier) so I thought that making them use the TCE would fix that but that is not the case for unknown reason.
> 
> There must be a way to fix that but I admit that my knowledge on that part is somewhat limited.

Then use the official build process or one of our provided images,
before you start tinkering.  That way, we actually have a chance of
telling where you took the wrong turn and are able to support you.
I know for sure that our build works with dual head, as that was a
paying customer's request and so we tested it.
Though I'm not sure if it works the way you expect it to work.
Screenshots/Pictures of your desired setup (iow, from your laptop) might
help.

Kind Regards,
Stefan Baur

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243